/finance/estimate/{id}

Update an estimate

Update an estimate

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Path Parameters

NameTypeRequiredDescription
idintegerYesestimate ID

Body Parameters

NameTypeRequiredDescription
estimateapp.EstimateYesestimate

Parameter Models

Inspect object parameters and nested model references without loading the full Swagger file in the browser.

estimateBody parameterapp.Estimate
address
No description.
address_id
integer
No description.
agency_service_total
number
No description.
akonto_invoices
No description.
audit_logs
No description.
child_invoices
No description.
collapse_position_groups
integer
No description.
created_at
integer
No description.
custom_fields
No description.
date_customer_approval
integer
No description.
date_document
integer
No description.
date_expire
integer
No description.
display_vat_in_positions
boolean
No description.
document_type_label
string
No description.
external_service_total
number
No description.
external_services
No description.
foot_note
string
No description.
gross_total
number
No description.
head_note
string
No description.
hide_document_totals
boolean
No description.
hide_external_services
boolean
No description.
hide_group_totals
boolean
No description.
hide_groups
boolean
No description.
hide_position_amount_and_unit
boolean
No description.
hide_position_group_header
boolean
No description.
hide_position_totals
boolean
No description.
hide_position_value_per_unit
boolean
No description.
hide_positions
boolean
No description.
id
integer
No description.
identification_code
string
No description.
job
No description.
job_id
integer
No description.
lang
string
No description.
markup
integer
No description.
modified_at
integer
No description.
name
string
No description.
net_total
number
No description.
organisation
No description.
organisation_id
integer
No description.
page_break_before_foot_note
integer
No description.
page_break_before_head_note
integer
No description.
period_of_performance_end
integer
No description.
period_of_performance_start
integer
No description.
periodical_payment_interval
number
No description.
periodical_payment_label
string
No description.
person
No description.
person_id
integer
No description.
positions
No description.
print_version_show_period_of_performance
boolean
No description.
probability
No description.
prompts
array<app.Prompt>
No description.
recipient_addr1
string
No description.
recipient_addr2
string
No description.
recipient_address
string
No description.
recipient_city
string
No description.
recipient_country_code
No description.
recipient_email
string
No description.
recipient_organisation_name
string
No description.
recipient_person_first_name
string
No description.
recipient_person_last_name
string
No description.
20 additional properties are hidden on this page to keep the endpoint view small. Open the model page for a focused view.
cURL
curl -X PUT 'https://<tenant>.dieagenturverwaltung.de/api/v2/finance/estimate/123' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "address": {},
  "address_id": 123,
  "agency_service_total": 123.45,
  "akonto_invoices": [
    {}
  ],
  "audit_logs": [
    {}
  ],
  "child_invoices": [
    {}
  ],
  "collapse_position_groups": 123,
  "created_at": 123,
  "custom_fields": [
    {}
  ],
  "date_customer_approval": 123,
  "date_document": 123,
  "date_expire": 123,
  "display_vat_in_positions": true,
  "document_type_label": "string",
  "external_service_total": 123.45,
  "external_services": [
    {}
  ],
  "foot_note": "string",
  "gross_total": 123.45,
  "head_note": "string",
  "hide_document_totals": true,
  "hide_external_services": true,
  "hide_group_totals": true,
  "hide_groups": true,
  "hide_position_amount_and_unit": true,
  "hide_position_group_header": true,
  "hide_position_totals": true,
  "hide_position_value_per_unit": true,
  "hide_positions": true,
  "id": 123,
  "identification_code": "string",
  "job": {},
  "job_id": 123,
  "lang": "string",
  "markup": 123,
  "modified_at": 123,
  "name": "string",
  "net_total": 123.45,
  "organisation": {},
  "organisation_id": 123,
  "page_break_before_foot_note": 123,
  "page_break_before_head_note": 123,
  "period_of_performance_end": 123,
  "period_of_performance_start": 123,
  "periodical_payment_interval": 123.45,
  "periodical_payment_label": "string",
  "person": {},
  "person_id": 123,
  "positions": [
    {}
  ],
  "print_version_show_period_of_performance": true,
  "probability": "sicher",
  "prompts": [
    {}
  ],
  "recipient_addr1": "string",
  "recipient_addr2": "string",
  "recipient_address": "string",
  "recipient_city": "string",
  "recipient_country_code": "AF",
  "recipient_email": "string",
  "recipient_organisation_name": "string",
  "recipient_person_first_name": "string",
  "recipient_person_last_name": "string",
  "recipient_zip": "string",
  "show_commissions_in_group": true,
  "show_commissions_in_position": true,
  "show_commissions_in_total": true,
  "show_signature_line": "string",
  "show_vat": true,
  "small_job": {},
  "small_user": {},
  "stationary": {},
  "stationary_id": 123,
  "status": "in Bearbeitung",
  "subscribed_users": [
    {}
  ],
  "tab_left": "string",
  "tab_right": "string",
  "token": "string",
  "type": "kv",
  "user": {},
  "user_id": 123,
  "vat": 123.45,
  "vat_id": "string"
}'
Request Body (application/json)
{
  "address": {...},
  "address_id": 123,
  "agency_service_total": 123.45,
  "akonto_invoices": [
    {...}
  ],
  "audit_logs": [
    {...}
  ],
  "child_invoices": [
    {...}
  ],
  "collapse_position_groups": 123,
  "created_at": 123,
  "custom_fields": [
    {...}
  ],
  "date_customer_approval": 123,
  "date_document": 123,
  "date_expire": 123,
  "display_vat_in_positions": true,
  "document_type_label": "string",
  "external_service_total": 123.45,
  "external_services": [
    {...}
  ],
  "foot_note": "string",
  "gross_total": 123.45,
  "head_note": "string",
  "hide_document_totals": true,
  "hide_external_services": true,
  "hide_group_totals": true,
  "hide_groups": true,
  "hide_position_amount_and_unit": true,
  "hide_position_group_header": true,
  "hide_position_totals": true,
  "hide_position_value_per_unit": true,
  "hide_positions": true,
  "id": 123,
  "identification_code": "string",
  "job": {...},
  "job_id": 123,
  "lang": "string",
  "markup": 123,
  "modified_at": 123,
  "name": "string",
  "net_total": 123.45,
  "organisation": {...},
  "organisation_id": 123,
  "page_break_before_foot_note": 123,
  "page_break_before_head_note": 123,
  "period_of_performance_end": 123,
  "period_of_performance_start": 123,
  "periodical_payment_interval": 123.45,
  "periodical_payment_label": "string",
  "person": {...},
  "person_id": 123,
  "positions": [
    {...}
  ],
  "print_version_show_period_of_performance": true,
  "probability": "sicher",
  "prompts": [
    {...}
  ],
  "recipient_addr1": "string",
  "recipient_addr2": "string",
  "recipient_address": "string",
  "recipient_city": "string",
  "recipient_country_code": "AF",
  "recipient_email": "string",
  "recipient_organisation_name": "string",
  "recipient_person_first_name": "string",
  "recipient_person_last_name": "string",
  "recipient_zip": "string",
  "show_commissions_in_group": true,
  "show_commissions_in_position": true,
  "show_commissions_in_total": true,
  "show_signature_line": "string",
  "show_vat": true,
  "small_job": {...},
  "small_user": {...},
  "stationary": {...},
  "stationary_id": 123,
  "status": "in Bearbeitung",
  "subscribed_users": [
    {...}
  ],
  "tab_left": "string",
  "tab_right": "string",
  "token": "string",
  "type": "kv",
  "user": {...},
  "user_id": 123,
  "vat": 123.45,
  "vat_id": "string"
}

Responses

200OK
app.Estimateapplication/json
Example
{
  "address": {...},
  "address_id": 123,
  "agency_service_total": 123.45,
  "akonto_invoices": [
    {...}
  ],
  "audit_logs": [
    {...}
  ],
  "child_invoices": [
    {...}
  ],
  "collapse_position_groups": 123,
  "created_at": 123,
  "custom_fields": [
    {...}
  ],
  "date_customer_approval": 123,
  "date_document": 123,
  "date_expire": 123,
  "display_vat_in_positions": true,
  "document_type_label": "string",
  "external_service_total": 123.45,
  "external_services": [
    {...}
  ],
  "foot_note": "string",
  "gross_total": 123.45,
  "head_note": "string",
  "hide_document_totals": true,
  "hide_external_services": true,
  "hide_group_totals": true,
  "hide_groups": true,
  "hide_position_amount_and_unit": true,
  "hide_position_group_header": true,
  "hide_position_totals": true,
  "hide_position_value_per_unit": true,
  "hide_positions": true,
  "id": 123,
  "identification_code": "string",
  "job": {...},
  "job_id": 123,
  "lang": "string",
  "markup": 123,
  "modified_at": 123,
  "name": "string",
  "net_total": 123.45,
  "organisation": {...},
  "organisation_id": 123,
  "page_break_before_foot_note": 123,
  "page_break_before_head_note": 123,
  "period_of_performance_end": 123,
  "period_of_performance_start": 123,
  "periodical_payment_interval": 123.45,
  "periodical_payment_label": "string",
  "person": {...},
  "person_id": 123,
  "positions": [
    {...}
  ],
  "print_version_show_period_of_performance": true,
  "probability": "sicher",
  "prompts": [
    {...}
  ],
  "recipient_addr1": "string",
  "recipient_addr2": "string",
  "recipient_address": "string",
  "recipient_city": "string",
  "recipient_country_code": "AF",
  "recipient_email": "string",
  "recipient_organisation_name": "string",
  "recipient_person_first_name": "string",
  "recipient_person_last_name": "string",
  "recipient_zip": "string",
  "show_commissions_in_group": true,
  "show_commissions_in_position": true,
  "show_commissions_in_total": true,
  "show_signature_line": "string",
  "show_vat": true,
  "small_job": {...},
  "small_user": {...},
  "stationary": {...},
  "stationary_id": 123,
  "status": "in Bearbeitung",
  "subscribed_users": [
    {...}
  ],
  "tab_left": "string",
  "tab_right": "string",
  "token": "string",
  "type": "kv",
  "user": {...},
  "user_id": 123,
  "vat": 123.45,
  "vat_id": "string"
}
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
404Not Found
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}